import { o as s, v as a, w as p, u as i, E as l, x as u } from "./index-DSGwv2Yx.js";
function f(o, e = 0) {
  a(o.length >= 1, () => "Pass at least one tensor to concat");
  const t = p(o, "tensors", "concat", "string_or_numeric");
  if (t[0].dtype === "complex64" && t.forEach((n) => {
    if (n.dtype !== "complex64")
      throw new Error(`Cannot concatenate complex64 tensors with a tensor
          with dtype ${n.dtype}. `);
  }), t.length === 1)
    return i(t[0]);
  const r = t, c = { axis: e };
  return l.runKernel(u, r, c);
}
const m = /* @__PURE__ */ s({ concat_: f });
export {
  m as c
};
